members.dev
Custom fields

Update Custom Field

Updates a Custom Field Definition

PATCH
/v1/custom-fields/{custom_field_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

custom_field_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://api.members.dev/v1/custom-fields/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "entity_type": "user",
  "key": "string",
  "label": "string",
  "description": "string",
  "field_type": "text",
  "is_required": true,
  "is_user_editable": true,
  "is_user_visible": true,
  "options": [
    null
  ],
  "is_active": true,
  "created_at": null,
  "updated_at": null
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}